Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.cxf.config
Class WebServiceFactoryBean

    java.lang.Object
      org.mule.module.cxf.builder.AbstractInboundMessageProcessorBuilder
          org.mule.module.cxf.builder.WebServiceMessageProcessorBuilder
              org.mule.module.cxf.config.WebServiceFactoryBean

All Implemented Interfaces:
  FlowConstructAware, MuleContextAware, MessageProcessorBuilder, org.springframework.beans.factory.FactoryBean

    public class WebServiceFactoryBean

extends WebServiceMessageProcessorBuilder
implements org.springframework.beans.factory.FactoryBean

Field Summary

Fields inherited from class org.mule.module.cxf.builder.WebServiceMessageProcessorBuilder
`logger`

Fields inherited from class org.mule.module.cxf.builder.AbstractInboundMessageProcessorBuilder
`muleContext`

Constructor Summary
`WebServiceFactoryBean()`

Method Summary
`Object` | `getObject()`
`Class<?>` | `getObjectType()`
`boolean` | `isSingleton()`

Methods inherited from class org.mule.module.cxf.builder.WebServiceMessageProcessorBuilder
`createInvoker, createServerFactory, getAddress, getDatabinding, getFrontend, getServiceClass, getTargetClass, isProxy, setDatabinding, setFlowConstruct, setFrontend, setServiceClass`

Methods inherited from class org.mule.module.cxf.builder.AbstractInboundMessageProcessorBuilder
`addIgnoredMethods, build, configureMessageProcessor, configureServer, getBindingId, getConfiguration, getFeatures, getInFaultInterceptors, getInInterceptors, getMtomEnabled, getNamespace, getOutFaultInterceptors, getOutInterceptors, getPort, getProperties, getServer, getService, getWsdlLocation, isEnableMuleSoapHeaders, isValidationEnabled, setBindingId, setConfiguration, setEnableMuleSoapHeaders, setFeatures, setInFaultInterceptors, setInInterceptors, setMtomEnabled, setMuleContext, setNamespace, setOutFaultInterceptors, setOutInterceptors, setPort, setProperties, setService, setValidationEnabled, setWsdlLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebServiceFactoryBean

    public WebServiceFactoryBean()

Method Detail

### getObject

    public Object getObject()
                     throws Exception

  Specified by:
    `getObject` in interface `org.springframework.beans.factory.FactoryBean`
  Throws:
    `Exception`

### getObjectType

    public Class<?> getObjectType()

  Specified by:
    `getObjectType` in interface `org.springframework.beans.factory.FactoryBean`

### isSingleton

    public boolean isSingleton()

  Specified by:
    `isSingleton` in interface `org.springframework.beans.factory.FactoryBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.